#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Work on CIP Fear Exercise called QUEST in Python
# copy right 2011 Jack A. Krueger
#08.29.2011
""" This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>."""


import os
import readline

# To clear the screen
def cls():
    os.system(['clear','cls','CLEAR','CLS'][os.name == 'nt'])

# To continue or repeat
def yes_no(prompt):
    while True:
        ans = raw_input(prompt)
        cls()
        print
        if ans in ('Y','y','N','n'):
            return ans

def wrap(text, width=80):
    lines = []
    for paragraph in text.split('\n'):
        line = []
        len_line = 0
        for word in paragraph.split(' '):
            len_word = len(word)
            if len_line + len_word <= width:
                line.append(word)
                len_line += len_word + 1
            else:
                lines.append(' '.join(line))
                line = [word]
                len_line = len_word + 1
        lines.append(' '.join(line))
    return '\n'.join(lines)

def main():

    cont = "y"
    while cont == "y":

        cls()

        print "\nQUEST: to handle what is pending!\n"
        print """Items: fear about pending things, things not getting
       done and for what you are not interested in
       being and doing.\n"""
        fear = raw_input('Enter for your item: ')

        cls()

        print wrap("\n\nHow are you afraid to relate to, _%s_?" % (fear.upper()))
        print "\n(Hold the _how question_ without answering it.)\n"

        raw_input('    -then press return- ')

        cls()

        print wrap("\n\nHow can you prepare to relate to, _%s_?" % (fear.upper()))
        print "\nPREPARATIONS: (return on empty line ends session)\n"

        n = 0
        while n < 7:
            n = n + 1
            prep = raw_input(' ' + str(n) + ') ')

            if n == 7:
              print """\n One or more of the preparations from 4 to 7
 is signaling that you need to repeat "quest"
 for that item.\n"""

            elif prep == '':
              cls()
              break


        print

        prompt = "Continue? y/n: "
        cont = yes_no(prompt)

        if cont == "n":
          #cls()
          break


if __name__ == "__main__":
    main()
